com.sun.jna.platform.win32

## Class Ddeml.MONLINKSTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ddeml.MONLINKSTRUCT

- Enclosing interface:
    Ddeml

      public static class Ddeml.MONLINKSTRUCT
      extends Structure

  Contains information about a Dynamic Data Exchange (DDE) advise loop. A DDE monitoring application can use this structure to obtain information about an advise loop that has started or ended.

  Remarks

  Because string handles are local to the process, the hszSvc, hszTopic, and hszItem members are global atoms.

  The hConvClient and hConvServer members of the MONLINKSTRUCT structure do not hold the same value as would be seen by the applications engaged in the conversation. Instead, they hold a globally unique pair of values that identify the conversation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cb` The structure's size, in bytes.
    `int` | `dwTime` The Windows time at which the advise loop was started or ended.
    `WinDef.BOOL` | `fEstablished` Indicates whether an advise loop was successfully established.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `WinDef.BOOL` | `fNoData` Indicates whether the XTYPF_NODATA flag is set for the advise loop.
    `WinDef.BOOL` | `fServer` Indicates whether the link notification came from the server.
    `Ddeml.HCONV` | `hConvClient` A handle to the client conversation.
    `Ddeml.HCONV` | `hConvServer` A handle to the server conversation.
    `Ddeml.HSZ` | `hszItem` A handle to the item name that is the subject of the advise loop.
    `Ddeml.HSZ` | `hszSvc` A handle to the service name of the server in the advise loop.
    `Ddeml.HSZ` | `hszTopic` A handle to the topic name on which the advise loop is established.
    `WinNT.HANDLE` | `hTask` A handle to a task (application instance) that is a partner in the advise loop.
    `int` | `wFmt` The format of the data exchanged (if any) during the advise loop.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MONLINKSTRUCT()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### cb

          public int cb

      The structure's size, in bytes.

    - #### dwTime

          public int dwTime

      The Windows time at which the advise loop was started or ended. Windows time is the number of milliseconds that have elapsed since the system was booted.

    - #### hTask

          public WinNT.HANDLE hTask

      A handle to a task (application instance) that is a partner in the advise loop.

    - #### fEstablished

          public WinDef.BOOL fEstablished

      Indicates whether an advise loop was successfully established. A value of TRUE indicates an advise loop was established; FALSE indicates it was not.

    - #### fNoData

          public WinDef.BOOL fNoData

      Indicates whether the XTYPF_NODATA flag is set for the advise loop. A value of TRUE indicates the flag is set; FALSE indicates it is not.

    - #### hszSvc

          public Ddeml.HSZ hszSvc

      A handle to the service name of the server in the advise loop.

    - #### hszTopic

          public Ddeml.HSZ hszTopic

      A handle to the topic name on which the advise loop is established.

    - #### hszItem

          public Ddeml.HSZ hszItem

      A handle to the item name that is the subject of the advise loop.

    - #### wFmt

          public int wFmt

      The format of the data exchanged (if any) during the advise loop.

    - #### fServer

          public WinDef.BOOL fServer

      Indicates whether the link notification came from the server. A value of TRUE indicates the notification came from the server; FALSE indicates otherwise.

    - #### hConvServer

          public Ddeml.HCONV hConvServer

      A handle to the server conversation.

    - #### hConvClient

          public Ddeml.HCONV hConvClient

      A handle to the client conversation.

  - ### Constructor Detail

    - #### MONLINKSTRUCT

          public MONLINKSTRUCT()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.